<?php
/*********************************************************************
    agencies.php

    Agencies - Agencies / Sites Mod

    Neil Tozier <n.tozier@tmib.net>
    Copyright (c)  2010-2013 tmib.net
    http://www.tmib.net
	For use with osTicket v1.7ST

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See LICENSE.TXT for details.

    vim: expandtab sw=4 ts=4 sts=4:
**********************************************************************/
require('admin.inc.php');
//include_once(INCLUDE_DIR.'class.agency.php');
include_once(INCLUDE_DIR.'class.agencies.php');

$agency=null;
if($_REQUEST['id'] && !($agency=AGENCY::lookup($_REQUEST['id'])))
    $errors['err']='Unknown or invalid API key ID.';

if($_POST){
    switch(strtolower($_POST['do'])){
        case 'update':
            if(!$agency){
                $errors['err']='Unknown or invalid Agency.';
            }elseif($agency->update($_POST,$errors)){
                $msg='Agency updated successfully';
            }elseif(!$errors['err']){
                $errors['err']='Error updating Agency. Try again!';
            }
            break;
        case 'add':
            if(($id=AGENCY::create($_POST,$errors))){
                $msg='Agency added successfully';
                $_REQUEST['a']=null;
            }elseif(!$errors['err']){
                $errors['err']='Unable to add Agency. Correct error(s) below and try again.';
            }
            break;
        case 'mass_process':
            if(!$_POST['ids'] || !is_array($_POST['ids']) || !count($_POST['ids'])) {
                $errors['err'] = 'You must select at least one agency.';
            } else {
                $count=count($_POST['ids']);
                switch(strtolower($_POST['a'])) {
                    case 'enable':
                        $sql='UPDATE ost_agencies SET isenabled=1 '
                            .' WHERE id IN ('.implode(',', db_input($_POST['ids'])).')';
                    
                        if(db_query($sql) && ($num=db_affected_rows())) {
                            if($num==$count)
                                $msg = 'Selected Agencys enabled';
                            else
                                $warn = "$num of $count selected Agencys enabled";
                        } else {
                            $errors['err'] = 'Unable to enable selected Agencys.';
                        }
                        break;
                    case 'disable':
                        $sql='UPDATE ost_agencies SET isenabled=0 '
                            .' WHERE id IN ('.implode(',', db_input($_POST['ids'])).')';
                        if(db_query($sql) && ($num=db_affected_rows())) {
                            if($num==$count)
                                $msg = 'Selected Agencys disabled';
                            else
                                $warn = "$num of $count selected Agencys disabled";
                        } else {
                            $errors['err'] = 'Unable to disable selected Agencys';
                        }
                        break;
                    case 'delete':
                        $i=0;
                        foreach($_POST['ids'] as $k=>$v) {
                            if(($p=AGENCY::lookup($v)) && $p->delete())
                                $i++;
                        }

                        if($i && $i==$count)
                            $msg = 'Selected Agencys deleted successfully';
                        elseif($i>0)
                            $warn = "$i of $count selected Agencys deleted";
                        elseif(!$errors['err'])
                            $errors['err'] = 'Unable to delete selected Agencys';
                        break;
                    default:
                        $errors['err']='Unknown action - get technical help.';
                }
            }
            break;
        default:
            $errors['err']='Unknown action/command';
            break;
    }
}

$page='agencyplans.inc.php';
if($agency || ($_REQUEST['a'] && !strcasecmp($_REQUEST['a'],'add')))
    $page='agencyplan.inc.php';

$nav->setTabActive('manage');
require(STAFFINC_DIR.'header.inc.php');
require(STAFFINC_DIR.$page);
include(STAFFINC_DIR.'footer.inc.php');
?>
